package com.engine.salary.entity.salaryBill.param;

import com.engine.salary.exception.SalaryRunTimeException;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 工资单模板默认使用参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
////"工资单模板默认使用参数")
public class SalaryTemplateDefaultUseParam {

//   主键")
    private Long id;

    public static void checkParam(SalaryTemplateDefaultUseParam copyParam) {
        if (copyParam.getId() == null) {
            throw new SalaryRunTimeException("id必传");
        }
    }
}
